<template>
  <section class="container">
    <div>
      <svg class="logo" width="200" height="200" viewBox="0 0 200 200" xmlns="http://www.w3.org/2000/svg"><title>Enoplay</title><path d="M180 160.01V160h-80v40C44.772 200 0 155.228 0 100S44.772 0 100 0s100 44.772 100 100c0 22.516-7.442 43.295-20 60.01zM100 120c11.046 0 20-8.954 20-20s-8.954-20-20-20-20 8.954-20 20 8.954 20 20 20z" fill="#FF6344" fill-rule="evenodd"/></svg>
      <h1 class="title">
        Enoplay
      </h1>
      <h2 class="subtitle">
        The Next Generation Game Platform
      </h2>
      <div class="links">
        <a href="https://beta.enoplay.com" target="_blank" class="button--grey" rel="noopener">Try out the Beta</a>
      </div>
    </div>
  </section>
</template>

<script>
  export default {
    data () {
      return {
        online: true
      }
    },
    mounted () {
      if (!window.navigator) {
        this.online = false
        return
      }
      this.online = Boolean(window.navigator.onLine)
      window.addEventListener('offline', this._toggleNetworkStatus)
      window.addEventListener('online', this._toggleNetworkStatus)
    },
    methods: {
      _toggleNetworkStatus ({ type }) {
        this.online = type === 'online'
      }
    },
    destroyed () {
      window.removeEventListener('offline', this._toggleNetworkStatus)
      window.removeEventListener('online', this._toggleNetworkStatus)
    }
  }
</script>

<style lang="scss">
$logo-size: 200px;
$logo-size--mobile: 150px;

body {
  background: url('/pixel-bg.png') no-repeat center;
  background-size: cover;
}

.container {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.logo {
  width: $logo-size;
  height: $logo-size;

  @media (max-width: 480px) {
    width: $logo-size--mobile;
    height: $logo-size--mobile;
  }
}

.title,
.subtitle {
  text-shadow: 0 0 5px white;
}

.title {
  font-family: "Nunito", "Quicksand", "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif; /* 1 */
  display: block;
  font-weight: 300;
  font-size: 72px;
  color: #35495e;
  letter-spacing: 1px;

  @media (max-width: 480px) {
    font-size: 60px;
  }
}

.subtitle {
  font-weight: 300;
  font-size: 36px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;

  @media (max-width: 480px) {
    font-size: 28px;
    max-width: 265px;
  }
}

.links {
  padding-top: 15px;
}

.network {
  font-weight: 400;
  font-size: 1rem;

  .circle {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    background: green;
    padding: .1rem .5rem;
    border-radius: 1rem;
  }

  &.offline .circle {
    background: red;
  }
}
</style>
